import UIKit
import CoreLocation

class ViewController: UIViewController, CLLocationManagerDelegate {

    let locationManager = CLLocationManager()
    @IBOutlet weak var coordinatesLabel: UILabel!
    @IBOutlet weak var getLocationButton: UIButton!

    override func viewDidLoad() {
        super.viewDidLoad()
        locationManager.delegate = self
    }

    @IBAction func getLocation(sender: UIButton) {
        if locationManager.authorizationStatus == .notDetermined {
            locationManager.requestWhenInUseAuthorization()
        } else {
            locationManager.startUpdatingLocation()
        }
    }

    func locationManagerDidChangeAuthorization(_ manager: CLLocationManager) {
        if manager.authorizationStatus == .authorizedWhenInUse {
            manager.startUpdatingLocation()
        } else if manager.authorizationStatus == .notDetermined {
            coordinatesLabel.text = "Tap the button to ask for permissions"
        } else if manager.authorizationStatus == .denied {
            coordinatesLabel.text = "User denied permissions"
        }
    }

    func locationManager(_ manager: CLLocationManager, didUpdateLocations locations: [CLLocation]) {
        if let location = locations.first {
            coordinatesLabel.text = "latitude:\(location.coordinate.latitude)\nlongitude\(location.coordinate.longitude)"
        }
    }


}

